initialDir = CreateObject("WScript.Shell").SpecialFolders("MyDocuments") & "\The Lord of the Rings Online"
Set SFSO = CreateObject("Scripting.FileSystemObject")

On Error Resume Next
Set UACD = CreateObject("UserAccounts.CommonDialog")
If Err.Number <> 0 Then
	Err.Clear
	On Error Goto 0

	Set folder = SFSO.GetFolder(initialDir)
	Set files = folder.Files

	best = ""

	Set reExt = new regexp
	reExt.Pattern = "txt$"

	For Each f in files
		If reExt.Test(f.Name) Then
			If StrComp(best, "") = 0 Or DateDiff("s", bestDate, f.DateCreated) > 0 then
				best = f.Name
				bestDate = f.DateCreated
			End If
		End If
	Next

	filename = InputBox("Enter log file", "Open File", initialDir & "\" & best)
	If StrComp(filename, "") = 0 then
		Wscript.Quit()
	End If
Else
	On Error Goto 0
	UACD.Filter = "Text Files|*.txt"
	UACD.InitialDir = initialDir
	ret = UACD.ShowOpen()

	If ret = False then
		Wscript.Quit()
	End If

	filename = UACD.FileName
End If


'currentDirectory = Left(Wscript.ScriptFullName, (Len(Wscript.ScriptFullName)) - (Len(Wscript.ScriptName)))

Set reSound = new regexp

reSound.Pattern = "^SOUND: (.*)$"

lastLine = 0

Dim oPlayer
Set oPlayer = CreateObject("WMPlayer.OCX")

While SFSO.FileExists(fileName)
	Set InFile = SFSO.OpenTextFile(filename, 1)
	InFile.Skip(bytesRead)
	Do Until InFile.AtEndOfStream
		If InFile.Line > lastLine then
			lastLine = InFile.Line
			line = InFile.ReadLine
			For Each sound In reSound.Execute(line)
				oPlayer.controls.stop
				If sound.SubMatches(0) <> "" Then
					oPlayer.URL = sound.SubMatches(0)
					oPlayer.controls.play
				End If
			Next
		Else
			InFile.SkipLine
		End If
	Loop
	InFile.Close

	Wscript.Sleep 100
Wend